unit _frmMeters;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, VrControls, VrThreads, VrJogMeter, VrLabel, VrRotarySwitch,
  VrThermoMeter, VrWheel, VrBlinkLed, VrKeyPad, VrTank, VrMeter, StdCtrls,
  VrLevelBar, VrCounter, VrGauge;

type
  TfrmMeters = class(TForm)
    VrJogMeter: TVrJogMeter;
    VrTimer: TVrTimer;
    VrLabel1: TVrLabel;
    VrThermoMeter: TvrThermoMeter;
    VrLabel2: TVrLabel;
    VrLabel3: TVrLabel;
    VrWheel: TVrWheel;
    VrTank: TVrTank;
    VrLabel4: TVrLabel;
    VrMeter: TVrMeter;
    VrLevelBar: TVrLevelBar;
    VrLabel5: TVrLabel;
    Label1: TLabel;
    VrLabel6: TVrLabel;
    VrGauge1: TVrGauge;
    VrCounter: TVrCounter;
    VrLabel7: TVrLabel;
    procedure VrTimerTimer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure VrWheelChange(Sender: TObject);
  private
    { Private-Deklarationen }
    FMeterUp: Boolean;
  public
    { Public-Deklarationen }
  end;

var
  frmMeters: TfrmMeters;

implementation

{$R *.dfm}

procedure TfrmMeters.VrTimerTimer(Sender: TObject);
begin
  if VrJogMeter.Value.Value = -160 then
    FMeterUp := true;

  if VrJogMeter.Value.Value = 160 then
    FMeterUp := false;

  if FMeterUp then
    VrJogMeter.Value.Value := VrJogMeter.Value.Value + 1
  else
    VrJogMeter.Value.Value := VrJogMeter.Value.Value - 1;

  VrCounter.Value := VrCounter.Value + 1;

  if VrCounter.Value = 999999 then
    VrCounter.Value := 0;
end;

procedure TfrmMeters.FormShow(Sender: TObject);
begin
  Randomize
end;

procedure TfrmMeters.VrWheelChange(Sender: TObject);
begin
  VrThermoMeter.Value.Value := VrWheel.Position;
  VrTank.Position := VrWheel.Position;
  VrMeter.Position := VrWheel.Position;
  VrLevelBar.Position := VrWheel.Position;
end;

end.
